Bug 1190 - Way to view tooltips (hover states) of links/images in browser...
: Way to view tooltips (hover states) of links/images in browser...
Status: RESOLVED FIXED
Product: Browser
MicroB engine
: 3.2
: All All
: Medium enhancement with 6 votes (vote)
: 5.0 (1.2009.41-10)
Assigned To: unassigned
: microb-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-30 20:19 UTC by Tim Samoff
Modified: 2008-11-26 13:05 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tim Samoff (reporter) maemo.org 2007-03-30 20:19:34 UTC
It seems like there should be a way to view tooltips (hover states) of
links/images in browser... Maybe using one of the hardware buttons while clicking?
Comment 1 Jake Kunnari 2007-04-02 12:16:13 UTC
Quim Gil added to CC-field
Comment 2 Tim Samoff (reporter) maemo.org 2007-07-02 21:14:54 UTC
I hate to do this, but Apple has a good solution to this one:

http://www.tuaw.com/2007/07/01/iphone-tip-tap-and-hold-on-a-link-for-a-description-popup/

What if there were also a "Copy Link" button in the popup?
Comment 3 Quim Gil nokia 2007-07-03 09:24:24 UTC
Good one.  :)

Reassigning to Roope from the UI team. fyi he is currently on holidays, but I'm
sure he will reply as soon as he is back.
Comment 4 Jason Carter 2007-07-23 18:05:35 UTC
Just please remember that ALT tags on images are not meant to be shown to the
user normally. They are meant to be shown only if the image could not be seen
(say the image is broken or the user is blind). TITLE tags, however, are meant
to be seen by the user.

So TITLE should popup a tooltip and ALT should not.
Comment 5 Roope Rainisto nokia 2007-07-30 10:04:38 UTC
Well, basically currently tap and hold opens the context sensitive menu, so
it's  not as such free for that interaction.

However, in theory, you could for instance do so that

|------------------|
| title            |
|------------------|
| csm commands     |
|------------------|

So that the title/alt would be shown, in a different visual manner, at the
start of the popup menu. Or then something else.
Comment 6 Tim Samoff (reporter) maemo.org 2007-07-30 16:11:20 UTC
Yes, that would work great! :)
Comment 7 Quim Gil nokia 2007-08-06 09:30:28 UTC
Report moved to the mozilla based browser component. I guess you agree.  :)
Comment 8 Tim Samoff (reporter) maemo.org 2007-08-06 16:57:19 UTC
Bueno, bueno! ;)
Comment 9 timeless 2007-08-06 16:59:51 UTC
Gil: you need to be sure that this is selected:
(*) Reassign bug to default assignee and QA contact of selected component 

otherwise the proper assignees won't see the bug. I could arrange to watch
*all* bugs in bugs.maemo.org as I do for bugzilla.mozilla.org, but I'm not
supposed to need to do that.
Comment 10 Quim Gil nokia 2007-08-07 10:59:03 UTC
Sorry, I'm used to GNOME bugzilla where most of the obvious-defacto actions are
already defaults. Reassigned.
Comment 11 timeless 2007-08-13 13:05:29 UTC
yeah, bugzilla.mozilla.org does that too. It's possible the version of bugzilla
here is too old.

roope's comment 5 is absolutely WONTFIX. I'll try to publish enough
specifications to show why. Note that it would help if people attached
testcases. I'll post some of my own.

for starters, try:
http://www.huftis.org/
Gratis kvalitetsdataspel
Nettsideutvikling
Strukturbasert XHTML <- hover over both words.
Alternativ tekst i

that testcase was stolen from
https://bugzilla.mozilla.org/show_bug.cgi?id=57599

another testcase:
https://bugzilla.mozilla.org/attachment.cgi?id=90744
hover over the red box

Note that we *absolutely* can not simply stick title tags into menus, there are
limits to the acceptable menu item lengths. And title tags naturally exceed
them (almost by definition).

anyway, I'll try to post some documentation and ideas this week. I'm starving
so it won't be right now :).
Comment 12 Neil MacLeod maemo.org 2007-11-23 06:44:49 UTC
For images at least, why not add the <img> "title" and "alt" tags to the tap &
hold "Details" menu option? The "Details" dialog for an image currently shows
the filename, address, mime type, size and dimensions - is it unreasonable to
add the title and alt fields if these are present? At the very least this would
serve as a short term measure and would work for most people, and could be used
as a general solution for other types of links.
Comment 13 Matt Johnston 2008-08-19 07:55:19 UTC
Another classic testcase is the hover-text for xkcd.com comics.
Comment 14 Tim Samoff (reporter) maemo.org 2008-08-19 15:22:24 UTC
> Another classic testcase

I'm assuming you mean that this is an *argument for* better Maemo tooltip
functionality as opposed to an example of how to actually *implement* tooltip
functionality, correct?
Comment 15 John Rudd 2008-09-17 12:33:33 UTC
Thoughtfix suggested (in his blog) a "Mouse Over" mode, so that you can click a
button and it would cause your stylus movements to be mouse overs instead of
clicks/drags.  He suggested the Fn button.  I'd like to suggest a different
mechanism that would solve this problem, and many others:

In order for me to consider the Fn key to be a viable "mouse over" activation,
the Fn key would have to be moved somewhere else.  I like to use my N810 while
closed, and loathe having to open it just for one or two special cases (ie. any
time I'm not really typing).

For me, I'd make the 3 buttons on the top edge of the N810/N810 be programmable
(perhaps with pre-set modes, but somehow selectable).

For example, what about:

1) Re-label the buttons "A", "B", and "C" on future models, but allow this to
be applied in software to all models.

2) Available settings that can be applied to any of the buttons:

Full Screen
Zoom In
Zoom Out
Mouse Over Mode
Cycle Mouse Button
Volume Up
Volume Down
Mute
Brightness Up
Brightness Down
Toggle Bluetooth
Menu Button
D-Pad Up (for scrolling)
D-Pad Down (for scrolling)

(Cycle Mouse Button = when you click, are you generating mouse button 1, mouse
button 2, or mouse button 3? I'd have a status bar icon which indicated which
one was current, and perhaps had a drop down menu for selecting a new mode for
those who don't choose to assign it to one of the buttons)


For me, I'd probably use Full Screen, Cycle Mouse Button, and Toggle Bluetooth.
But I know others who want to have a scroll wheel (which the D-Pad buttons
might let you emulate). And I can see uses for any of the things I've put up
there.

Another idea might be to make "Mouse Over Mode" be one of the modes in my
"Cycle Mouse Button" idea.
Comment 16 Andre Klapper maemo.org 2008-11-17 13:24:45 UTC
In Fremantle it will be possible to view link and image tooltips by holding the
stylus over an object for ~0.8 seconds.

I can't test whether this is already implemented though, hence only setting
Target Milestone and not closing yet.
Comment 17 Quim Gil nokia 2008-11-26 13:05:02 UTC
Fixed in Fremantle